rpm 4.19.1.1 The RPM Package Manager

Loading...
Searching...
No Matches
Data Fields
rpmRelocation_s Struct Reference

`#include <rpmfiles.h>`

## Data Fields
char * | oldPath
char * | newPath

## Detailed Description

We pass these around as an array with a sentinel.

## Field Documentation

## ◆ newPath

char* rpmRelocation_s::newPath

NULL means to omit the file completely!

## ◆ oldPath

char* rpmRelocation_s::oldPath

NULL here evals to RPMTAG_DEFAULTPREFIX,

The documentation for this struct was generated from the following file:

- /home/mdomonko/code/rpm/stable/include/rpm/rpmfiles.h